#
# spec file for package lshw
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lshw
Version:        B.02.18
Release:        3.2
Summary:        HardWare LiSter
License:        GPL-2.0
Group:          Hardware/Other
Url:            http://ezix.org/project/wiki/HardwareLiSter
Source:         http://ezix.org/software/files/lshw-%{version}.tar.gz
Source1:        lshw.desktop.in
Source2:        lshw.png
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gail) >= 2.4.0
BuildRequires:  pkgconfig(gdk-2.0) >= 2.4.0
BuildRequires:  pkgconfig(gdk-x11-2.0) >= 2.4.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires:  pkgconfig(gtk+-unix-print-2.0) >= 2.4.0
BuildRequires:  pkgconfig(gtk+-x11-2.0) >= 2.4.0
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(pangoxft)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lshw (Hardware Lister) is a small tool to provide detailed informaton on the
hardware configuration of the machine. It can report exact memory
configuration, firmware version, mainboard configuration, CPU version and
speed, cache config uration, bus speed, etc. on DMI-capable x86 systems and
on some PowerPC machines (PowerMac G4 is known to work).

Information can be output in plain text, XML or HTML.

For detailed information on lshw features and usage, please see the
included documentation or go to the lshw Web page,
http://www.ezix.org/software/lshw.html

%package gui
Summary:        HardWare LiSter (GUI Frontend)
Group:          Hardware/Other
Requires:       %{name} = %{version}-%{release}
Requires:       hicolor-icon-theme
Requires(post): hicolor-icon-theme
Requires(post): update-desktop-files
Requires(postun): hicolor-icon-theme
Requires(postun): update-desktop-files

%description gui
lshw (Hardware Lister) is a small tool to provide detailed informaton on the
hardware configuration of the machine. It can report exact memory
configuration, firmware version, mainboard configuration, CPU version and
speed, cache config uration, bus speed, etc. on DMI-capable x86 systems and
on some PowerPC machines (PowerMac G4 is known to work).

This package provides a graphical user interface to display hardware
information.

For detailed information on lshw features and usage, please see the
included documentation or go to the lshw Web page,
http://www.ezix.org/software/lshw.html

%prep
%setup -q

%build
make \
  PREFIX="%{_prefix}" \
  SBINDIR="%{_sbindir}" \
  MANDIR="%{_mandir}" \
  DATADIR="%{_datadir}" \
  CXX="g++" \
  CC="gcc" \
  RPM_OPT_FLAGS="%{optflags} -fno-strict-aliasing" \
  STRIP=touch \
  all gui

%install
make \
  %{?_smp_mflags} \
  DESTDIR=%{buildroot} \
  PREFIX="%{_prefix}" \
  SBINDIR="%{_sbindir}" \
  MANDIR="%{_mandir}" \
  DATADIR="%{_datadir}" \
  CXX="g++" \
  CC="gcc" \
  OPTFLAGS="%{optflags}" \
  install install-gui

install -d "%{buildroot}%{_datadir}/applications"
sed 's,@@EXEC@@,%{_sbindir}/gtk-lshw,g' < "%{SOURCE1}" \
    > "%{buildroot}%{_datadir}/applications/%{name}.desktop"
chmod 0644 "%{buildroot}%{_datadir}/applications/%{name}.desktop"
install -D -m 0644 "%{SOURCE2}" "%{buildroot}%{_datadir}/pixmaps/%{name}.png"

%suse_update_desktop_file -r "%{name}" System HardwareSettings
# All of following are shipped by other packages as well
rm -f %{buildroot}%{_datadir}/%{name}/pci.ids
rm -f %{buildroot}%{_datadir}/%{name}/usb.ids
rm -f %{buildroot}%{_datadir}/%{name}/oui.txt
rm -f %{buildroot}%{_datadir}/%{name}/manuf.txt

%find_lang lshw

%post gui
%desktop_database_post
%icon_theme_cache_post

%postun gui
%desktop_database_postun
%icon_theme_cache_postun

%files -f lshw.lang
%defattr(-,root,root,0755)
%doc README.md COPYING docs/TODO docs/Changelog docs/lshw.xsd
%attr(0755,root,root) %{_sbindir}/lshw
%dir %{_datadir}/lshw
%{_mandir}/man1/lshw.1%{ext_man}

%files gui
%defattr(-,root,root,0755)
%doc COPYING
%attr(0755,root,root) %{_sbindir}/gtk-lshw
%{_datadir}/lshw/artwork
%{_datadir}/lshw/ui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Jun 20 2016 mpluskal@suse.com
- Small spec file cleanup
- Do not ship pci/usb/oter id's as they are provided by other
  packages as well
- Disable parallel building as it seems to cause random linking
  failures (boo#985111)
* Tue Apr 26 2016 mpluskal@suse.com
- Update to B.02.18
  * no changelog available
- Use pkgconfig style dependencies
- Update dependencies
- Build gui and cli at same time
- Drop no longer needed patches
  * lshw-gcc43.patch
  * lshw-stack-corruption.patch
* Fri Jul 24 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Unconditionally build gui
- Use proper scriplets for desktop files/icons
- Update license information
* Wed Oct 16 2013 xrigou@otenet.gr
- Add a patch for a stack curruption introduced in B.02.17 and fixed
  upstream (ticket #632)
* Tue Aug  6 2013 pascal.bleser@opensuse.org
- update to B.02.17 (no detailed changelog available, minor bug fixes)
* Wed Jan 11 2012 pascal.bleser@opensuse.org
- update to B.02.16:
  * bug fixes
  * code cleanup
  * improved support for GPT-partitioned disks
  * report physical sector size of hard disks
  * rewrote GTK2 GUI for increased flexibility (use external UI file)
  * updated data files
* Wed Oct  6 2010 pascal.bleser@opensuse.org
- update to B.02.15:
  * adds experimental support for dumping information into an SQLite database
  * a French localization was added
  * a number of bugs were fixed
* Wed Jun 16 2010 pascal.bleser@opensuse.org
- rework patch for Factory (with 0 fuzz)
- repackage upstream tarball as .tar.bz2
* Sat Feb 14 2009 guru@unixtech.be
- update to B.02.14:
  * fixes several bugs that caused lshw to hang while scanning the system
  * improves portability
  * adds support for detection of EXT4 volumes
* Sun May 11 2008 guru@unixtech.be
- moved to openSUSE Build Service
- new upstream version
* Sun Oct 14 2007 guru@unixtech.be
- new upstream version
* Wed Oct 10 2007 guru@unixtech.be
- moved to Packman
- new upstream version
* Wed Nov  8 2006 guru@unixtech.be
- new upstream version
* Wed May 10 2006 guru@unixtech.be
- added binary stripping on SUSE < 9.3
- replaced /usr/share with _datadir
- removed Packager and Distribution, injected by rpmmacros
- new upstream version
* Sun Mar  5 2006 guru@unixtech.be
- new package
